XPathFunctionException (Java SE 26 & JDK 26)
Description: declaration: module: java.xml, package: javax.xml.xpath, class: XPathFunctionException
Keywords: javax.xml.xpath.XPathFunctionException class

# Class XPathFunctionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.xml.xpath.XPathException
javax.xml.xpath.XPathExpressionException
javax.xml.xpath.XPathFunctionException

All Implemented Interfaces:
  `Serializable`

public class XPathFunctionException extends XPathExpressionException
`XPathFunctionException` represents an error with an XPath function.

Since:
  1.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XPathFunctionException(String message)`
  Constructs a new `XPathFunctionException` with the specified detail `message`.
  `XPathFunctionException(Throwable cause)`
  Constructs a new `XPathFunctionException` with the specified `cause`.

- ## Method Summary

  ### Methods declared in class XPathException

  `getCause, printStackTrace, printStackTrace, printStackTrace`
  Modifier and Type
  Method
  Description
  `Throwable`
  `getCause()`
  Get the cause of this XPathException.
  `void`
  `printStackTrace()`
  Print stack trace to `System.err`.
  `void`
  `printStackTrace(PrintStream s)`
  Print stack trace to specified `PrintStream`.
  `void`
  `printStackTrace(PrintWriter s)`
  Print stack trace to specified `PrintWriter`.

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`
  Modifier and Type
  Method
  Description
  `final void`
  `addSuppressed(Throwable exception)`
  Appends the specified exception to the exceptions that were suppressed in order to deliver this exception.
  `Throwable`
  `fillInStackTrace()`
  Fills in the execution stack trace.
  `String`
  `getLocalizedMessage()`
  Creates a localized description of this throwable.
  `String`
  `getMessage()`
  Returns the detail message string of this throwable.
  `StackTraceElement[]`
  `getStackTrace()`
  Provides programmatic access to the stack trace information printed by `Throwable.printStackTrace()`.
  `final Throwable[]`
  `getSuppressed()`
  Returns an array containing all of the exceptions that were suppressed, typically by the `try`-with-resources statement, in order to deliver this exception.
  `Throwable`
  `initCause(Throwable cause)`
  Initializes the cause of this throwable to the specified value.
  `void`
  `setStackTrace(StackTraceElement[] stackTrace)`
  Sets the stack trace elements that will be returned by `Throwable.getStackTrace()` and printed by `Throwable.printStackTrace()` and related methods.
  `String`
  `toString()`
  Returns a short description of this throwable.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### XPathFunctionException

    public XPathFunctionException(String message)
    Constructs a new `XPathFunctionException` with the specified detail `message`.

    The `cause` is not initialized.

    If `message` is `null`, then a `NullPointerException` is thrown.

    Parameters:
      `message` - The detail message.
    Throws:
      `NullPointerException` - When `message` is `null`.

  - ### XPathFunctionException

    public XPathFunctionException(Throwable cause)
    Constructs a new `XPathFunctionException` with the specified `cause`.

    If `cause` is `null`, then a `NullPointerException` is thrown.

    Parameters:
      `cause` - The cause.
    Throws:
      `NullPointerException` - if `cause` is `null`.